# HAM : 

db_0or1row "getfeed" "select * from mashup_feeds where id=:id"

set counter 0

db_multirow -extend {
    content 
    diff
    source_url 
    item_guid_link
    pub_datestamp
    pub_timestamp
    pub_time_pretty
} "items" "item_sql" "select s.source_id,
               s.link,
               s.description,
               s.title,
	       s.feed_url,
	       i.item_id,
               i.title as item_title,
               i.link as item_link,
               i.description as item_description,
               i.content_encoded,
               i.guid as item_guid,
               i.original_guid as item_original_guid,
               i.permalink_p as item_permalink_p,
               i.author as item_author,
               to_char(i.pub_date at time zone 'UTC', 'YYYY-MM-DD') as sort_date,
               to_char(i.pub_date at time zone 'UTC', 'YYYY-MM-DD HH24:MI:SS') as item_pub_date,
               s.last_modified
   from na_sources s, na_items i where s.source_id=i.source_id and s.source_id=:source_id order by sort_date desc" {

    if { [exists_and_not_null content_encoded] } {
            set content $content_encoded
    } else {
        set text_only [util_remove_html_tags $item_description]
	set content $item_description
    }

    set pub_timestamp [clock scan [lc_time_utc_to_local $item_pub_date]]
    set pub_datestamp [clock scan [clock format $pub_timestamp -format "%Y-%m-%d 00:00:00"]]

    if { $pub_datestamp > [clock scan "2 days ago" -gmt 1] } {
        set pub_time_pretty [clock format $pub_timestamp -format "%I:%M %p"]
    } else {
        set pub_time_pretty [clock format $pub_timestamp -format "%d %b %Y %I:%M %p"]
    }

    incr counter
    if { $counter > $num_of_entries } {
	break
    }

}
