
set user_id [mashup::getuserid]
set mashup_url [mashup::get_url]
set loggedin_p [ad_conn user_id]


# ********* News Aggregator ******* #
# we create an aggregator for the user if 
# he/she does not have one

# set aggregator_id [mashup::newsfeed::userinit -user_id $user_id]

db_multirow "otherfeeds" "otherfeedsql" {
	select s.title, s.source_id 
              from na_sources s 
             where source_id not in (select source_id 
                                       from mashup_feeds where user_id=:user_id)
}

set newsfeed_hide_show [ah::toggle -element "stuff_newsfeed" \
			   -effect "blind" \
			   -options "duration:0.5,afterFinish:function(){ 
					var str = \$('stuff_newsfeed_bullet').src; 
					if (str.search('bulletdown.gif') != -1) { 
						\$('stuff_newsfeed_bullet').src='${mashup_url}resources/images/bullet.gif';						
					} else { 
						\$('stuff_newsfeed_bullet').src='${mashup_url}resources/images/bulletdown.gif'; 
					} } " ]

set yourfeed_hide_show [ah::toggle -element "stuff_yourfeed" \
			   -effect "blind" \
			   -options "duration:0.5,afterFinish:function(){ 
					var str = \$('stuff_yourfeed_bullet').src; 
					if (str.search('bulletdown.gif') != -1) { 
						\$('stuff_yourfeed_bullet').src='${mashup_url}resources/images/bullet.gif';						
					} else { 
						\$('stuff_yourfeed_bullet').src='${mashup_url}resources/images/bulletdown.gif'; 
					} } " ]

# ********* Tagcloud ******* #

set tagcloud_hide_show [ah::toggle -element "stuff_tagcloud" \
			   -effect "blind" \
			   -options "duration:0.5,afterFinish:function(){ 
					var str = \$('stuff_tagcloud_bullet').src; 
					if (str.search('bulletdown.gif') != -1) { 
						\$('stuff_tagcloud_bullet').src='${mashup_url}resources/images/bullet.gif';						
					} else { 
						\$('stuff_tagcloud_bullet').src='${mashup_url}resources/images/bulletdown.gif'; 
					} } " ]

# ********* Weather ******* #

set weather_hide_show [ah::toggle -element "stuff_weather" \
			   -effect "blind" \
			   -options "duration:0.5,afterFinish:function(){ 
					var str = \$('stuff_weather_bullet').src; 
					if (str.search('bulletdown.gif') != -1) { 
						\$('stuff_weather_bullet').src='${mashup_url}resources/images/bullet.gif';						
					} else { 
						\$('stuff_weather_bullet').src='${mashup_url}resources/images/bulletdown.gif'; 
					} } " ]

# ********* Other Portlets ******* #

# determine if we show geoip portlet
set type_id [mashup::type_id_from_name -name "geoip"]
set showgeoip [db_0or1row "checkgeoipportlet" "select * from mashup_portals where type_id=:type_id and user_id=:user_id"]

# determine if we show google ads
set type_id [mashup::type_id_from_name -name "googlead"]
set showgooglead [db_0or1row "checkgeoipportlet" "select * from mashup_portals where type_id=:type_id and user_id=:user_id"]

# ********* Content Portlets ******** #

# get a list of content items from xowiki
# we can put in portlets

#set xowiki_package_id [apm_package_id_from_key "xowiki"]
set xowiki_package_id 265634

set object_type ::xowiki::Page
set folder_id [$object_type require_folder -name xowiki -package_id $xowiki_package_id]
set with_subtypes false
set order_clause "order by cr.title"

db_multirow xocontentitems instance_select \
    [$object_type instance_select_query \
	 -folder_id $folder_id \
	 -select_attributes title \
	 -with_subtypes $with_subtypes \
	 -order_clause $order_clause \
	 -where_clause "cr.item_id not in (select content_id from mashup_portals where type_id=5 and user_id=:user_id) and cr.title not in ('index','Chat') " \
	 ] {
	regsub "en:" $title "" title
}


